From 12e03652992944217fa581117374d9734cfa3183 Mon Sep 17 00:00:00 2001
From: Bharath Rupireddy <bharath.rupireddyforpostgres@gmail.com>
Date: Sat, 9 Oct 2021 15:20:59 +0000
Subject: [PATCH v1] Reword docs of feature "Remove temporary files after
 backend crash"

Commit cd91de0d17 for the feature "Remove temporary files after
backend crash" mentions that the temp files get cleaned after a
backend crash. But the temp files cleanup happens not only after
a backend crash but also after an auxiliary process (except
syslogger and stats collector) crash. The existing docs are sort
of misleading. With the glossary defining what a backend is and
the commit d3014fff defining the auxiliary processes, this patch
slightly adjusts the docs introduced by the commit cd91de0d17.
---
 doc/src/sgml/config.sgml | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index 0a8e35c59f..67691bf982 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -11012,11 +11012,14 @@ LOG:  CleanUpLock: deleting: lock(0xb7acd844) id(24688,24696,0,0,0,1)
        <para>
         When set to <literal>on</literal>, which is the default,
         <productname>PostgreSQL</productname> will automatically remove
-        temporary files after a backend crash. If disabled, the files will be
-        retained and may be used for debugging, for example. Repeated crashes
-        may however result in accumulation of useless files. This parameter
-        can only be set in the <filename>postgresql.conf</filename> file or on
-        the server command line.
+        temporary files after a <glossterm linkend="glossary-backend">backend</glossterm>
+        or an <glossterm linkend="glossary-auxiliary-proc">auxiliary process</glossterm>
+        (except the <glossterm linkend="glossary-logger">logger</glossterm> and
+        the <glossterm linkend="glossary-stats-collector">statistics collector</glossterm>)
+        crash. If disabled, the files will be retained and may be used for
+        debugging, for example. Repeated crashes may however result in
+        accumulation of useless files. This parameter can only be set in the
+        <filename>postgresql.conf</filename> file or on the server command line.
        </para>
       </listitem>
      </varlistentry>
-- 
2.25.1

